Next: Changing screen colors, Previous: Changing CBM-II model, Up: CBM-II-specific commands and settings [Contents][Index]

#### 7.8.3 CBM-II command line options

These are the commandline options specific for the CBM-II models.

`-pal`

  Use PAL sync factor (`MachineVideoStandard=1`).

`-ntsc`

  Use NTSC sync factor (`MachineVideoStandard=2`).

`-ramsize <ramsize>`

  Specify size of RAM (`RamSize`). xcbm2: (128, 256, 512, 1024) xcbm5x0: (64, 128, 256, 512, 1024)

`-ram08`
`+ram08`

  Enable/disable RAM mapping in bank 15 at address $0800-$0FFF (`Ram08=1`, `Ram08=0`).

`-ram1`
`+ram1`

  Enable/disable RAM mapping in bank 15 at address $1000-$1FFF (`Ram1=1`, `Ram1=0`).

`-ram2`
`+ram2`

  Enable/disable RAM mapping in bank 15 at address $2000-$3FFF (`Ram2=1`, `Ram2=0`).

`-ram4`
`+ram4`

  Enable/disable RAM mapping in bank 15 at address $4000-$5FFF (`Ram4=1`, `Ram4=0`).

`-ram6`
`+ram6`

  Enable/disable RAM mapping in bank 15 at address $6000-$7FFF (`Ram6=1`, `Ram6=0`).

`-ramC`
`+ramC`

  Enable/disable RAM mapping in bank 15 at address $C000-$CFFF (`RamC=1`, `RamC=0`).

`-model <modelnumber>`

  Specify CBM-II model to emulate (`ModelLine`, `MachineVideoStandard`, `RamSize`, `KernalName`, `BasicName`, `ChargenName`). xcbm2: (610, 620, 620+, 710, 720, 720+) xcbm5x0: (510)